> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Move Deal

> Move a deal to a stage, optionally between two deals of that stage.



## OpenAPI

````yaml /openapi-v1.json post /api/v1/crm/deals/{deal_id}/move
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/crm/deals/{deal_id}/move:
    post:
      tags:
        - CRM
      summary: Move Deal
      description: Move a deal to a stage, optionally between two deals of that stage.
      operationId: move_crm_deal
      parameters:
        - in: path
          name: deal_id
          schema:
            format: uuid
            title: Deal Id
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DealMoveIn'
        required: true
      responses:
        '200':
          description: OK
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    DealMoveIn:
      properties:
        stage_id:
          format: uuid
          title: Stage Id
          type: string
        before_deal_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: Deal that ends up directly above
          title: Before Deal Id
        after_deal_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: Deal that ends up directly below
          title: After Deal Id
      required:
        - stage_id
      title: DealMoveIn
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.